> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Image generations (Beta)

> Creates an image given a prompt.

Creates one or more images from a text prompt using the configured provider for the requested model. The gateway returns a normalized response with metadata and usage where available. See the OpenAPI spec for full request/response shapes.


## OpenAPI

````yaml POST /images/generations
openapi: 3.0.3
info:
  title: AI Stats Gateway API
  description: >-
    A gateway API for accessing various AI models with OpenAI-compatible
    endpoints.
  version: 1.0.0
  contact:
    name: AI Stats
    url: https://docs.ai-stats.phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core AI Stats Gateway operations.
paths:
  /images/generations:
    post:
      tags:
        - Gateway
      summary: Create image
      description: Creates an image given a prompt.
      operationId: createImage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImagesGenerationRequest'
      responses:
        '200':
          description: Image response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImagesGenerationResponse'
components:
  schemas:
    ImagesGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
        prompt:
          type: string
        size:
          type: string
        'n':
          type: integer
          minimum: 1
          maximum: 10
        quality:
          type: string
        response_format:
          type: string
        style:
          type: string
        user:
          type: string
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ImagesGenerationResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Image'
    ProviderRoutingOptions:
      type: object
      description: Provider routing preferences for gateway selection.
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: Include alpha providers in routing (off by default).
    Image:
      type: object
      properties:
        url:
          type: string
        b64_json:
          type: string
        revised_prompt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````